Subject: Re: Possible race while masking IRQ on Allwinner A20

From: Jérôme Pouiller <[email-masked]>
Date: Thu, 21 May 2020 15:12:01 +0200

On Thursday 21 May 2020 09:26:34 CEST Maxime Ripard wrote:
[...]
> On Tue, May 19, 2020 at 10:59:26AM +0200, Jérôme Pouiller wrote:
[...] 
> > The chip WF200 allows to use a dedicated line for the IRQ (aka
> > "Out-Of-Band" IRQ). So I have enabled this feature with a edge triggered 
> > IRQ. However, I missed some IRQs. Indeed, it seems that Allwinner use a 
> > 32KHz clock to sample the IRQs. It is not fast enough for us. I think it 
> > explains why we miss some IRQs (using the attribute "input-debounce"[2], 
> > I tried to enable the 24Mhz clock, but without success).
> 
> Without success as in you couldn't make it use the 24MHz clock, or using it
> didn't change anything?

I didn't make the change myself, but it seems that the board was unable
to run correctly when the attribute "input-debounce" was used. Since
"input-debounce" impacts the whole GPIO bank, I think it has impacted
other devices.

Finally, I didn't spend so much time on this and I don't know if it the
24Mhz clock has been finally correctly enabled.

-- 
Jérôme Pouiller

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel